Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.sts
Class IdentityProviderUtil

    java.lang.Object
      org.wso2.solutions.identity.sts.IdentityProviderUtil

    public class IdentityProviderUtil

extends java.lang.Object

Constructor Summary
`IdentityProviderUtil()`

Method Summary
`static org.apache.axiom.om.OMElement` | `createDisplayClaim(org.apache.axiom.om.OMElement parent, java.lang.String displayTag, java.lang.String displayValue, java.lang.String uri)`
`static org.apache.axiom.om.OMElement` | `createDisplayToken(org.apache.axiom.om.OMElement parent, IdentityProviderData data)`
`static org.apache.axiom.om.OMElement` | `createRequestedDisplayToken(org.apache.axiom.om.OMElement parent, IdentityProviderData data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityProviderUtil

    public IdentityProviderUtil()

Method Detail

### createRequestedDisplayToken

    public static org.apache.axiom.om.OMElement createRequestedDisplayToken(org.apache.axiom.om.OMElement parent,
                                                                            IdentityProviderData data)

### createDisplayToken

    public static org.apache.axiom.om.OMElement createDisplayToken(org.apache.axiom.om.OMElement parent,
                                                                   IdentityProviderData data)

### createDisplayClaim

    public static org.apache.axiom.om.OMElement createDisplayClaim(org.apache.axiom.om.OMElement parent,
                                                                   java.lang.String displayTag,
                                                                   java.lang.String displayValue,
                                                                   java.lang.String uri)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD